/*
 * Copyright (c) 1998,1999 Trans New Technology, Inc. and
 *                         Hiroki NAKANO <cas@trans-nt.com>
 * All rights reserved.
 *
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that this notice is retained,
 * the conditions in the following notices are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by
 *	Trans New Technology, Inc. (in Japan)
 *
 *
 * THIS SOFTWARE IS PROVIDED BY TRANS NEW TECHNOLOGY, INC. ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL TRANS NEW TECHNOLOGY, INC. BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

/*
 * ICOM UX-136 Wireless LAN Card
 *   (AMD Am79C930 Firmware ver.2.0-Japan)
 *
 */

/*
 *  data types for PCnet-mobile firmware
 *    the followings are in little endian.
 */
typedef	u_int8_t	ux_uint8_t;
typedef	u_int16_t	ux_uint16_t;
typedef	u_int32_t	ux_uint32_t;
typedef	u_int8_t	ux_uint48_t[6];
typedef	u_int64_t	ux_uint64_t;

/*
 * The following functions to translate data
 * are really defined in OS-dependent module.
 * They can be macros instead of functions.
 */
#if 0
u_int8_t ux_uxtoh8(ux_uint8_t);
u_int16_t ux_uxtoh16(ux_uint16_t);
u_int32_t ux_uxtoh32(ux_uint32_t);

ux_uint8_t ux_htoux8(u_int8_t);
ux_uint16_t ux_htoux16(u_int16_t);
ux_uint32_t ux_htoux32(u_int32_t);
#endif

/* EOF */
